Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 18 Oct 2018, 16:09
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy Revitalized as 5.2.8.7 - Nov., 2017 - Final
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 69 of 70 [1036 Posts]   Goto page: Previous 1, 2, 3, ..., 67, 68, 69, 70 Next
Author Message
sindi

Joined: 16 Aug 2009
Posts: 855
Location: Ann Arbor MI USA

PostPosted: Wed 28 Mar 2018, 13:59    Post subject: Lucid 2016 not working on DELL Inspiron 1150 with 855GM
Subject description: Xorg crashes
 

Lupu starts to boot then when it loads X, the screen goes blank and I cannot Ctrl-Alt-Backspace or switch to terminal mode.

Lupu 525 works from CD, but not when installed frugally to HD. Same problem as Lupu 2016.

Video chip is 855GM. 72003 laptop. 1024x768.

Wary 5.5 (kernel 2.6.32) and Tahr 605 (kernel 3.14) have no such problems with X. Should I try lupu3 (2.6.33 kernel) or a Sulu with kernel 3?

Debiandog Wheezy (kernel 3.2) works.

Framebuffer mode for terminal (fbcon) works only with 8-bit color vga=773. Higher modes are not supported because of only 1MB video memory allocated to framebuffer. Tahr fbcon works. So does DebianDog Wheezy fbcon.

Full color 24-bit works in Xorg. (I did not try Xvesa). More video RAM is allocated to it than to framebuffer.
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1903
Location: Maine, USA

PostPosted: Fri 30 Mar 2018, 14:55    Post subject: Re: Lucid 2016 not working on DELL Inspiron 1150 with 855GM  

sindi,
Thanks for your report.

Try booting it with i915.modeset=0.

If it still fails, boot with nox and try xorgwizard to find something that works.
Richard
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 855
Location: Ann Arbor MI USA

PostPosted: Fri 30 Mar 2018, 17:31    Post subject: 855GM intel driver buggy lupu2016, ok kernel 2.6.32 or later  

The automatic setup program chooses Intel driver. It crashes. i180 and fbdev do not work either, with or without i810.modeset=0 or i915.modeset=0. I removed fbcon, no help.

This is a cheap and buggy video chip with only 1MB RAM available for framebuffer. console framebuffer with vga=773 works with wary, but more than 8-bit color does not.

In someone's Toshiba laptop, the intel driver in worked Ubuntu 9, but not in Ubuntu 10 or 11.

Lupu I think uses the one from 10. Even if it works, the older driver is 'buggy and unstable'.

In Lupu 5.2.5 (older driver) it worked until I changed time zone or window manager, then crashed, consistently.

When running xorgwizard in lupu 2016, it kept crashing.

Wary Intel driver works - kernel 2.6.32.59.
Intel driver in lupu3hd - kernel 2.6.37.2 - also works

Hopefully fbcon will also work on the laptop. Sulu1 and Sulu2 fbcon did not work on a 2005 laptop and this is 2003. If not I will use wary.

Can I use the save files from regular lupu with lupu3hd?
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 855
Location: Ann Arbor MI USA

PostPosted: Fri 30 Mar 2018, 18:02    Post subject: 855GM intel driver crashes in lupu3hd but works in sulu1  

Sulu1 intel driver seems stable and fbcon works with vga=773.

I had a similar problem with DELL B130 from 2005 also fixed with sulu1, but
fbcon was not working. 900 series intel not helped by modeset=0 either.

Both are considered low-end laptops but I like the non-glare screens and the keyboards are acceptable. Everything else works with linux including sound.
Heavy duty rubber feet and a chargeable main battery. I only had to replace the hard drive, add a wifi card and another 256MB RAM.

Fred has provided browser-free mpv-based youtube-viewer package (CDE) that works with wary and tahr, which I am eager to try with this slow CPU/GPU.

Youtube at 360p with palemoon is extremely jerky. 240p is okay.

On a slightly faster laptop I can play 480p with the viewer, and only 360p in a browser.[/quote][/code]
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1903
Location: Maine, USA

PostPosted: Sat 31 Mar 2018, 11:17    Post subject: Re: 855GM intel driver buggy lupu2016, ok kernel 2.6.32 or later  

sindi wrote:
Can I use the save files from regular lupu with lupu3hd?

Maybe. I would try it as an experiment, assuming you are considering working with the same releases (2016? or 2016 > 2017) and only changing the save file name.

Be sure to run 'remaster_package_check' if it does not run automatically, to identify any duplicate files or conflicting file versions (between the pup_ro2 and pup_rw layers).
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 855
Location: Ann Arbor MI USA

PostPosted: Sat 31 Mar 2018, 12:31    Post subject: copying save file(s) from lupu2016 to sulu1  

I did a cp -a ./lupusave/* to sulusave

Booted to sulu1.

This save-file was last used with version 528 of Puppy.
Hit the Enter key.... to upgrade this file....

(I think I got this same message the first time I booted sulu1 without any save file and it asked me to manually update
93 conflicting files, one at a time).

X failed to start. (Save files were from a different laptop with different graphics chip).

xorgwizard worked.

remaster_package_check. No packages to be uninstalled.

Checking for conflicting or duplicate files....

There are 16 files ... (that can be) removed.
Remove all of the duplicate files. Yes

Conflicts: radeon_drv.so (irrelevant here - this is intel graphics).
Removed the conflicting file.

None of my changes to lupu2016 were saved.

Next time I did NOT remove duplicate files.

I still do not have the changes from lupu2016.

Any suggestions other than starting over (adding lynx, fbi, various scripts, jwm, fbcon...)?
I can use Wary.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 855
Location: Ann Arbor MI USA

PostPosted: Sat 31 Mar 2018, 13:23    Post subject: sulu1 works but no fbcon  

I was asked whether to remove 10 duplicate files and sulu1 works.

rc.local contains modprobe fbcon but there is no module fbcon.

I see framebuffer console while sulu1 is booting but not in a terminal after booting.
I don't understand how this works.

Sulu2 switches from framebuffer to regular (large character) console while booting.
Sulu3 has dpup wheezy kernel, but no fbcon after it boots.

I use console framebuffer most of the time.

Wary, Tahr, and DebianDog wheezy work here with fbcon.
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1903
Location: Maine, USA

PostPosted: Sun 01 Apr 2018, 16:33    Post subject:  

Quote:
I did a cp -a ./lupusave/* to sulusave

Booted to sulu1.

This save-file was last used with version 528 of Puppy.
Hit the Enter key.... to upgrade this file....
. . .
None of my changes to lupu2016 were saved.

That seems strange. I assume the added packages were in the lupusave file. I wonder if the upgrading affected that.

But, then:
Quote:
I was asked whether to remove 10 duplicate files and sulu1 works.

Was that in the same session or a later boot-up? Or just after removing some conflicting files?

Anyway, it seems that only 3HD and sulu2 have fbcon; actually, only they have the 'console' directory that fbcon.ko is in!

I am afraid that I, too, do not understand how that works. I think you know more about the graphics stuff than I do.
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1903
Location: Maine, USA

PostPosted: Fri 13 Apr 2018, 20:31    Post subject: get_libreoffice fixed  

The get_libreoffice script stopped working. I have placed the corrected version (0.43) here:
http://murga-linux.com/puppy/viewtopic.php?p=988460#988460

UPDATE 5/20/18:
The original (0.42) version broke 32-bit support, making it unusable in the lucid pups. The corrected version is now at that link.

Last edited by rerwin on Sun 20 May 2018, 11:06; edited 2 times in total
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4237
Location: King's Lynn, UK.

PostPosted: Sun 22 Apr 2018, 10:07    Post subject:  

Richard:-

A wee question for you, as I'm really not familiar with the OpenBox/FBpanel combo (it's not at all like JWM)...

Whereabouts would I look to implement key-bindings? I have a tiny script I would like to implement by binding it to a specific key (in this case, 'Insert'.....which never, ever gets used). With JWM, it's /etc/xdg/templates/_root_jwmrc, and key bindings is part of that script. With Openbox...

...who knows? Any pointers, please?

TIA.


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
rerwin


Joined: 24 Aug 2005
Posts: 1903
Location: Maine, USA

PostPosted: Sun 22 Apr 2018, 13:02    Post subject: Openbox Key Bindings  

Mike,

The file is: ~/.config/openbox/rc.xml.

Here is more than you want to know about its bindings:
http://openbox.org/wiki/Help:Bindings#Key_combination
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4237
Location: King's Lynn, UK.

PostPosted: Sun 22 Apr 2018, 14:18    Post subject:  

Hi, Richard.

Ah, thanks for that. Having looked carefully through it, I see I do have one key-bind set-up in there already, so.....using that as a template (and referring to that Openbox wiki page), I think I can sort something out.

Thanks very much indeed. Cheers!


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4237
Location: King's Lynn, UK.

PostPosted: Sun 22 Apr 2018, 15:01    Post subject:  

Hi again, Richard.

Works nicely.

The relevant section of /root/.config/openbox/rc.xml now reads as follows:-

Code:
 <keyboard>
    <!-- Keybindings for running applications -->
    <keybind key="C-S-s">
      <action name="Execute">
        <command>PupSnap run</command>
      </action>
    </keybind>
    <keybind key="Insert">
      <action name="Execute">
         <command>/usr/sbin/cursor-centre.sh</command>
      </action>
   </keybind>      
  </keyboard>


The second stanza is the part I've added. It runs a tiny script I put together, called "cursor-centre.sh" (following a link from Flash back to an elderly post), making use of xdotool. All it does is to centre the cursor on the screen, no matter where it's got left. Just an easy way to find it!

Code:
#!/bin/sh
#
# Location script for centering cursor in middle of screen. @Mike_Walsh, March 2018. With thanks to Flash, jamesbond & technosaurus.
#
xdotool mousemove --polar 0 0


I've bookmarked the wiki page, just in case it may come in handy in the future. Thanks again.


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
rerwin


Joined: 24 Aug 2005
Posts: 1903
Location: Maine, USA

PostPosted: Sun 20 May 2018, 11:10    Post subject: get_libreoffice corrected  

I have corrected get_libreoffice so that it works with the Lucids and have updated my announcement here:
http://www.murga-linux.com/puppy/viewtopic.php?p=988612#988612

Richard
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1903
Location: Maine, USA

PostPosted: Wed 23 May 2018, 17:55    Post subject: New versions of LibreOffice & Java JRE
Subject description: For lupulibre, lupusuper2 & lupusuper4 + SFS Files
 

ALERT! DO NOT USE LO 5.4.7 IN ANY LUCID PUP!

Libre Office 5.4.7 does not appear to work reliably with Lucid Pup. Avoid installing it!
When opening an existing .odt spreadsheet it shows as empty. If you save that, it will destroy the spreadsheet. It seems OK with .odt word processor documents but generates warnings for .doc and .xlsx documents

It does appear to work in Upupbb (bionic pup).

The JRE update might be OK -- I have not tested it.

I am leaving the links here for those willing to look for fixes, but recommend avoiding 5.4.7 for normal work in Lucid Pup.
---------------------------------------------------------------------------------------------------------

LibreOffice is updated to the final 5.4 and current 6.0, JRE to 8u172. The *libre ISO files are here:
To update the versions used in existing non-libre Lucid pups and other puppies, the SFS files are here:
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 69 of 70 [1036 Posts]   Goto page: Previous 1, 2, 3, ..., 67, 68, 69, 70 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2348s ][ Queries: 13 (0.1208s) ][ GZIP on ]